package com.gingersoft.gsa.cloud.pay.pos;

import com.gingersoft.gsa.cloud.pay.pos.hywebpos.bean.response.pos.HywebPosResponse;

/**
 * @作者: bin
 * @創建時間: 2020-12-29 20:15
 * @更新時間: 2020-12-29 20:15
 * @描述:POS事件回調,需要回調的實現這個接口
 */
public interface OnPosActionListener {

    void onSuccess(HywebPosResponse response);

    void onError(Throwable e);

    /**
     * N6回調失敗，需要去重試查詢
     */
    void onResponseNull();
}
